Quick Tour

Take a Tour of Bandwidth Meter Pro

Main Window
Configure Interface
Right-click on main window and choose View, and then set options.
Choose Adapters
Right-click on main window and choose Adapters, and then select or unselect an adapter. Bandwidth Meter Pro can monitor multiple adapters at a time.
Traffic Reports
Right-click on main window and choose Traffic Reports.
Record Traffic Rates
Right-click on main window and choose Rates Recorder.
Stopwatch
Right-click on main window and choose Stopwatch.


Introduction

Bandwidth Meter Pro is an easy-to-use network software for bandwidth usage monitoring and reporting. It monitors traffic of all network connections on your computer and displays graphical and numerical download and upload speeds in real-time (refer to screen shot below). It logs bandwidth use and provides how much bandwidth was used by each network connection on your computer in daily, weekly and monthly.

Bandwidth Meter Pro works with all types of network connections including modem, ISDN, DSL, ADSL, cable modem, wireless network cards, Ethernet cards, and more. It is full compatible with Windows 98, Windows NT 4.0, Windows 2000, Windows XP and Windows 2003.

Key Features

  • Network connections bandwidth monitoring
  • Internet connections bandwidth monitoring
  • Real-time graphical and numerical bandwidth speed displaying
  • Multiple network connections monitoring at a time
  • Speed rates scale
  • Works with all types of network connections including modem, ISDN, DSL, ADSL, cable modem, wireless network cards, Ethernet cards and more
  • Provides daily, weekly, monthly and summary bandwidth usage reports, plus exports to a plain text or Microsoft Excel .csv file
  • Readout in either kB/sec (kilobytes per second) or kbps (kilobits per second)
  • Notifies you of poor connections, peak performance and other events you're interested in
  • Scalable to your own modem download capabilities
  • Download and upload speeds stopwatch
  • Includes complete window configuration and view options
  • Requires minimal system resources
  • Full compatibility with Windows 98, Windows NT 4.0, Windows 2000, Windows XP and Windows 2003

Screen Shot

Platform Support

Bandwidth Meter Pro supports Windows 98/Me/NT/2000/XP/2003 platform.

System Requirements

  • Processor: MMX 133MHz
  • RAM: 32 MB
  • Disk Space: 3-5 MB of initial free disk space
  • Video: VGA
  • Network card (optional)

Trial Period

  • 30-day trial.


Order Bandwidth Meter Pro

Bandwidth Meter Pro is distributed as Shareware. You can freely download and try it for 30 days. If you think it useful and decide to keep it over 30-day trial period, you should pay the registration fee.

Quantity / License Type | Price (USD)
1 | $19.95
2 - 9 | $17.95
10 or above | $15.95
Site License * | $399.95
* Site License allows you the right to use unlimited copies of the software on unlimited computers in your organization.

Please visit our ordering page for more information:
http://www.bandwidth-meter.net/buy.htm

For more information, please contact <sales@bandwidth-meter.net>.

Registration Benefits

  • Full license to use the software beyond the 30-day trial period.
  • Regcode to unlock your copy into registered version.
  • Free minor upgrades (e.g. 2.0 -> 2.1).
  • Discount for major upgrades (e.g. 2.0 -> 3.0).
  • Free lifetime technical support!


License

License Agreement

Bandwidth Meter Pro
Software License Agreement
Copyright (C) 2006 BANDWIDTH-METER.NET
All Rights Reserved

NOTICE TO USERS: CAREFULLY READ THE FOLLOWING LEGAL AGREEMENT. USE OF THE SOFTWARE PROVIDED WITH THIS AGREEMENT (THE "SOFTWARE") CONSTITUTES YOUR ACCEPTANCE OF THESE TERMS. IF YOU DO NOT AGREE TO THE TERMS OF THIS AGREEMENT, DO NOT INSTALL AND/OR USE THIS SOFTWARE. USER'S USE OF THIS SOFTWARE IS CONDITIONED UPON COMPLIANCE BY USER WITH THE TERMS OF THIS AGREEMENT.

1. LICENSE GRANT. BANDWIDTH-METER.NET grants you a license to use one copy of the version of this SOFTWARE on any one system for as many licenses as you purchase. "You" means the company, entity or individual whose funds are used to pay the license fee. "Use" means storing, loading, installing, executing or displaying the SOFTWARE. You may not modify the SOFTWARE or disable any licensing or control features of the SOFTWARE except as an intended part of the SOFTWARE's programming features. When you first obtain a copy of the SOFTWARE, you are granted an evaluation period of not more than 30 days, after which time you must pay for the SOFTWARE according to the terms and prices discussed in the SOFTWARE's documentation, or you must remove the SOFTWARE from your system. This license is not transferable to any other system, or to another organization or individual. You are expected to use the SOFTWARE on your system and to thoroughly evaluate its usefulness and functionality before making a purchase. This "try before you buy" approach is the ultimate guarantee that the SOFTWARE will perform to your satisfaction; therefore, you understand and agree that there is no refund policy for any purchase of the SOFTWARE.

2. OWNERSHIP. The SOFTWARE is owned and copyrighted by BANDWIDTH-METER.NET. Your license confers no title or ownership in the SOFTWARE and should not be construed as a sale of any right in the SOFTWARE.

3. COPYRIGHT. The SOFTWARE is protected by United States copyright law and international treaty provisions. You acknowledge that no title to the intellectual property in the SOFTWARE is transferred to you. You further acknowledge that title and full ownership rights to the SOFTWARE will remain the exclusive property of BANDWIDTH-METER.NET and you will not acquire any rights to the SOFTWARE except as expressly set forth in this license. You agree that any copies of the SOFTWARE will contain the same proprietary notices which appear on and in the SOFTWARE.

4. REVERSE ENGINEERING. You agree that you will not attempt to reverse compile, modify, translate, or disassemble the SOFTWARE in whole or in part.

5. NO OTHER WARRANTIES. BANDWIDTH-METER.NET DOES NOT WARRANT THAT THE SOFTWARE IS ERROR FREE. BANDWIDTH-METER.NET DISCLAIMS ALL OTHER WARRANTIES WITH RESPECT TO THE SOFTWARE, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT OF THIRD PARTY RIGHTS. SOME JURISDICTIONS DO NOT ALLOW THE EXCLUSION OF IMPLIED WARRANTIES OR LIMITATIONS ON HOW LONG AN IMPLIED WARRANTY MAY LAST, OR THE EXCLUSION OR LIMITATION OF INCIDENTAL OR CONSEQUENTIAL DAMAGES, SO THE ABOVE LIMITATIONS OR EXCLUSIONS MAY NOT APPLY TO YOU. THIS WARRANTY GIVES YOU SPECIFIC LEGAL RIGHTS AND YOU MAY ALSO HAVE OTHER RIGHTS WHICH VARY FROM JURISDICTION TO JURISDICTION.

6. SEVERABILITY. In the event of invalidity of any provision of this license, the parties agree that such invalidity shall not affect the validity of the remaining portions of this license.

7. NO LIABILITY FOR CONSEQUENTIAL DAMAGES. IN NO EVENT SHALL BANDWIDTH-METER.NET OR ITS SUPPLIERS BE LIABLE TO YOU FOR ANY CONSEQUENTIAL, SPECIAL, INCIDENTAL OR INDIRECT DAMAGES OF ANY KIND ARISING OUT OF THE DELIVERY, PERFORMANCE OR USE OF THE SOFTWARE, EVEN IF BANDWIDTH-METER.NET HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN NO EVENT WILL BANDWIDTH-METER.NET' LIABILITY FOR ANY CLAIM, WHETHER IN CONTRACT, TORT OR ANY OTHER THEORY OF LIABILITY, EXCEED THE LICENSE FEE PAID BY YOU, IF ANY.

8. ENTIRE AGREEMENT. This is the entire agreement between you and BANDWIDTH-METER.NET which supersedes any prior agreement or understanding, whether written or oral, relating to the subject matter of this license.


Options - General

Always on top

Check this option to set main window always on top.

Show main window caption

Check this option to show main window caption.

Display an icon in system tray

Check this option to let Bandwidth Meter Pro display an icon in system tray.

Start minimized

Check this option to let Bandwidth Meter Pro start minimized in system tray.

Start with Windows

Check this option to let Bandwidth Meter Pro startup with Windows.

Semi-transparent window (Available for Windows 2000, XP or later)

Check this option to make main window semi-transparent. Below combo box will be enabled when checked this option. This option is available for Windows 2000, XP or later.

Which adapter's rate be indicated in system tray icon and tips

Choose an adapter whose rate information will be indicated in system tray icon and tips.

Adapter Title

Check this option to display adapter / connection title / name.

Graph

Check this option to display graphic rate.

Text

Check this option to display numeric rate.

Scale

Check this option to display rate scale.

Grid

Check this option to display grid within graphic rate.

Max Rate

Check this option to display maximum rate within numeric rate.

Text color same as graph color

Check this option to set color of the numerical rates same as graph color.

Kilobytes per Second (kB/sec)

Check this option to display numeric rate and scale as kB/sec. 1 byte equals to 8 bits.

Kilobits per Second (kbps)

Check this option to display numeric rate and scale as kbps.


Options - Graph & Text

Download

Use this command to choose download color of graphic rate.

Upload

Use this command to choose upload color of graphic rate.

Both Dw & Up

Use this command to choose both download and upload color of graphic rate.

Background

Use this command to choose background color of graphic rate.

Grid

Use this command to choose grid color of graphic rate.

Default

Use this command to set above colors to default values.

Adapter Title Font

Use this command to set font of adapter title.

Rate Scale Font

Use this command to set font of rate scale.

Default

Use this command to set above fonts to default values.

Display average values in text

Check this option to display average rate values in numeric rate text.

Maximum graphic rate height percent

Set maximum graphic rate height percent of entire view.


Options - Adapters

Adapters List

All adapters are listed in this list. Check adapter's checkbox to display specified adapter. Click header of this list to sort by corresponding title. "Connection type" will be enabled when an adapter was selected. You can specify adapter's connection type, such as "2 mbps (DSL, Cable Modem)", "512 kbps (DSL)" etc.

Adapter name

Customize the selected adapter name here.

Connection type

Choose one of below connection types.

  • Auto Scale: When this option was chosen Bandwidth Meter Pro will adjust the scale automatically.
  • 33.6 kbps (analog modems)
  • 48.0 kbps (analog modems)
  • 56.0 kbps (analog modems)
  • 64 kbps (ISDN - single channel)
  • 128 kbps (ISDN - dual channel)
  • 256 kbps (DSL, Frame Relay)
  • 384 kbps (DSL)
  • 512 kbps (DSL)
  • 768 kbps (DSL)
  • 1.544 mbps (T1, DSL, Cable Modem)
  • 2 mbps (DSL, Cable Modem)
  • 10 mbps (DSL, Cable Modem, LAN)
  • 44.736 mbps (DS3)
  • 100 mbps (LAN)
  • Specify Speed: "Custom speed" will be enabled when this option was chosen. You can input the particular speed.

Custom speed

This item will be enabled when "Specify Speed" option was chosen. You can input the particular speed in this item.

Reset

Reset all checkboxes and adapters' connection types to the previous settings.


Options - Notification

Enable notification

Check this option to enable notification. Below items will be enabled when this option was checked.

Adapter:

Choose an adapter to monitor.

When less than X bytes

Set less than how many bytes be download or uploaded.

were Downloaded / Uploaded

Choose bytes be downloaded or uploaded.

in a last X seconds

Set in a last how many seconds.

Play the following sound

Check this option to play a sound when notification occurred. You can set the sound file in follow input item. Click "..." button to select a sound file.

Display the following message

Check this option to display a message when notification occurred. You can input message content in follow input-box.


Summary - General

Traffic Reports - Summary

View anther adapter's traffic summary

Click a combo-box at left-bottom corner to choose anther adapter.

Export

Use this command export current summary or report to a text file (.txt) or Microsoft Excel file (.csv).

Clear

Use this command to clear all adapters' logs.


Summary - Daily Report

Traffic Reports - Daily Report

  • Click header title of report list-box to sort by corresponding title.
  • Click a combo-box at left-bottom corner to choose anther adapter to view.
  • Click "Export" button export "Daily Report" to a text file (.txt) or Microsoft Excel file (.csv).


Summary - Weekly Report

Traffic Reports - Weekly Report

  • Click header title of report list-box to sort by corresponding title.
  • Click a combo-box at left-bottom corner to choose anther adapter to view.
  • Click "Export" button export "Weekly Report" to a text file (.txt) or Microsoft Excel file (.csv).


Summary - Monthly Report

Traffic Reports - Monthly Report

  • Click header title of report list-box to sort by corresponding title.
  • Click a combo-box at left-bottom corner to choose anther adapter to view.
  • Click "Export" button export "Monthly Report" to a text file (.txt) or Microsoft Excel file (.csv).


Stopwatch

Bandwidth Meter Pro stopwatch can be used to accurately measure data transfer rates over the user-specified adapter in periods of time.

Choose an adapter to test

Click this combo-box to choose an adapter to measure data transfer rates.

Always on top

Check this option to set "Stopwatch" dialog to keep on top always.

Start / Stop

Click this button to start or stop the stopwatch.


Traffic Rates Recorder

You can use the feature to record all traffic rates of adapters you concern. It support save rates as text file and Microsoft Excel .csv file. Please choose fixed-pitch fonts to view text file.

Record traffic rates

Check the box to enable traffic rates recording for selected adapter.

Record on start-up

Check the box if you want to the program records rates automatically when it starts up.

Number only

When the radio-box is checked the program only records number of traffic rates.

Use K (Kilo) and M (Meag)

When the radio-box is checked the program records traffic string like (50KB, 1.2MB, 200kb and so on).

Recording interval

You can specify the recording interval seconds by this input-box.

Save rates to

Choose a file all traffic rates will be save to. Click "..." button to choose a file.


Technical Support

Homepage

If you want to get the latest information about Bandwidth Meter Pro, please visit Bandwidth Meter Pro Homepage on the web. You can also download latest version of Bandwidth Meter Pro at the homepage.

http://www.bandwidth-meter.net/

Feedback
Please send any bug report, suggestion, question and comment to the author at following address.

support@bandwidth-meter.net

If you are reporting a problem, please include details of the steps leading up to the problem, and the version number of Bandwidth Meter Pro.